Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableServer::IdUniquenessPolicy Interface Reference

`#include <IdUniquenessPolicyC.h>`

Inheritance diagram for PortableServer::IdUniquenessPolicy:

[legend]
Collaboration diagram for PortableServer::IdUniquenessPolicy:

[legend]
List of all members.

## Public Types
typedef IdUniquenessPolicy_ptr | _ptr_type
typedef IdUniquenessPolicy_var | _var_type
## Public Member Functions
virtual ::PortableServer::IdUniquenessPolicyValue | value ()=0 throw ( CORBA::SystemException )
virtual ::CORBA::Policy_ptr | copy ()=0 throw ( CORBA::SystemException )
virtual void | destroy ()=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Member Functions
IdUniquenessPolicy_ptr | _duplicate (IdUniquenessPolicy_ptr obj)
void | _tao_release (IdUniquenessPolicy_ptr obj)
IdUniquenessPolicy_ptr | _narrow (CORBA::Object_ptr obj)
IdUniquenessPolicy_ptr | _unchecked_narrow (CORBA::Object_ptr obj)
IdUniquenessPolicy_ptr | _nil (void)
## Public Attributes
readonly attribute IdUniquenessPolicyValue | value
## Protected Member Functions
| IdUniquenessPolicy (void)
virtual | ~IdUniquenessPolicy (void)
## Private Member Functions
| IdUniquenessPolicy (const IdUniquenessPolicy &)
void | operator= (const IdUniquenessPolicy &)

## Member Typedef Documentation

typedef IdUniquenessPolicy_ptr PortableServer::IdUniquenessPolicy::_ptr_type

| Implements CORBA::Policy.

typedef IdUniquenessPolicy_var PortableServer::IdUniquenessPolicy::_var_type

| Implements CORBA::Policy.

## Constructor & Destructor Documentation

PortableServer::IdUniquenessPolicy::IdUniquenessPolicy | ( | void |  | ) | `[protected]`

PortableServer::IdUniquenessPolicy::~IdUniquenessPolicy | ( | void |  | ) | `[protected, virtual]`

PortableServer::IdUniquenessPolicy::IdUniquenessPolicy | ( | const IdUniquenessPolicy & |  | ) | `[private]`

## Member Function Documentation

PortableServer::IdUniquenessPolicy_ptr PortableServer::IdUniquenessPolicy::_duplicate | ( | IdUniquenessPolicy_ptr | obj | ) | `[static]`

const char * PortableServer::IdUniquenessPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Policy.

virtual CORBA::Boolean PortableServer::IdUniquenessPolicy::_is_a | ( | const char * | type_id | ) | `[virtual]`

| Implements CORBA::Policy.

IdUniquenessPolicy_ptr PortableServer::IdUniquenessPolicy::_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Implements CORBA::Policy.

IdUniquenessPolicy_ptr PortableServer::IdUniquenessPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Implements CORBA::Policy.

void PortableServer::IdUniquenessPolicy::_tao_release | ( | IdUniquenessPolicy_ptr | obj | ) | `[static]`

IdUniquenessPolicy_ptr PortableServer::IdUniquenessPolicy::_unchecked_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Implements CORBA::Policy.

virtual ::CORBA::Policy_ptr PortableServer::IdUniquenessPolicy::copy | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implements CORBA::Policy. Implemented in TAO::Portable_Server::IdUniquenessPolicy.

virtual void PortableServer::IdUniquenessPolicy::destroy | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implements CORBA::Policy. Implemented in TAO::Portable_Server::IdUniquenessPolicy.

CORBA::Boolean PortableServer::IdUniquenessPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Implements CORBA::Policy.

void PortableServer::IdUniquenessPolicy::operator= | ( | const IdUniquenessPolicy & |  | ) | `[private]`

virtual ::PortableServer::IdUniquenessPolicyValue PortableServer::IdUniquenessPolicy::value | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO::Portable_Server::IdUniquenessPolicy.

## Member Data Documentation

readonly attribute IdUniquenessPolicyValue PortableServer::IdUniquenessPolicy::value

The documentation for this interface was generated from the following files:

- IdUniquenessPolicy.pidl
- IdUniquenessPolicyC.h
- IdUniquenessPolicyC.cpp